Bug 74135 - no syntax recognition for httpd conf.d files
Summary: no syntax recognition for httpd conf.d files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-16 19:05 UTC by Chris Ricker
Modified: 2007-04-18 16:46 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2002-10-02 13:10:12 UTC


Attachments (Terms of Use)

Description Chris Ricker 2002-09-16 19:05:05 UTC
The RH packages of httpd require several configuration files,
/etc/httpd/conf/httpd.conf, and also all the configuration files in
/etc/httpd/conf.d:

[kaboom@hanuman html]$ ls -1 /etc/httpd/conf.d/*conf
/etc/httpd/conf.d/auth_mysql.conf
/etc/httpd/conf.d/auth_pgsql.conf
/etc/httpd/conf.d/perl.conf
/etc/httpd/conf.d/php.conf
/etc/httpd/conf.d/python.conf
/etc/httpd/conf.d/squirrelmail.conf
/etc/httpd/conf.d/ssl.conf
[kaboom@hanuman html]$ 

vim correctly recognizes httpd.conf as an apache config file, and does
appropriate syntax highlighting, but it fails to recognize the configuration
files in /etc/httpd/conf.d as also being apache config files.  They don't get
any syntax highlighting....

Comment 1 Karsten Hopp 2002-10-02 09:15:10 UTC
fixed for auth_mysql.conf, auth_pgsql.conf and ssl.conf. 
The syntax will be set based on the filename and I'm not sure if there 
are other files with these names, therefore I've omitted the others.

Comment 2 Chris Ricker 2002-10-02 13:10:06 UTC
Cool, thanks!  The other four files used in RHL 8:

[kaboom@hanuman spamassassin-2.31]$ locate perl.conf
/etc/httpd/conf.d/perl.conf
[kaboom@hanuman spamassassin-2.31]$ locate php.conf
/etc/httpd/conf.d/php.conf
[kaboom@hanuman spamassassin-2.31]$ locate python.conf
/etc/httpd/conf.d/python.conf
[kaboom@hanuman spamassassin-2.31]$ locate squirrelmail.conf
/etc/httpd/conf.d/squirrelmail.conf
[kaboom@hanuman spamassassin-2.31]$ 

are safe to support as well; on an Everything install system, the only files
with those names are in /etc/httpd/conf.d, so they are unique

Comment 3 Karsten Hopp 2002-10-02 13:32:29 UTC
Thanks for checking these files ! 
I've included them now.


Note You need to log in before you can comment on or make changes to this bug.